Bug 44736 - emacs SRPM needs build dependency on Xaw3d-devel
emacs SRPM needs build dependency on Xaw3d-devel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-15 16:33 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-15 16:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-06-15 16:33:57 EDT
Description of Problem: with the 7.1 product, you cannot build the emacs
SRPM without having Xaw3d-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/emacs*spec" is executed, you do NOT get an error from
rpm about missing/unsatisfied build dependencies.  If you install the
Xaw3d-devel rpm, the emacs SRPM builds without problems.

 How Reproducible: Always

 Steps to Reproduce:
 1. rpm -e Xaw3d-devel
 2. rpm -Uvh <tree-path>/SRPMS/emacs*.src.rpm
 3. rpm -ba /usr/src/redhat/SPECS/emacs*spec
 4. rpm -Uvh <tree-path>/RedHat/RPMS/Xaw3d-devel*
 5. rpm -ba /usr/src/redhat/SPECS/emacs*spec

 Actual Results:
 first 3 steps result in a failure WITHOUT a build-requires error from
rpm(1)
 next 2 steps build the SRPM without fail


 Expected Results: I would expect an rpm error message to be written to
stderr informing me the emacs SRPM cannot be built without installing the
Xaw3d-devel RPM.

Additional Information:
Comment 1 Trond Eivind Glomsrxd 2001-06-18 11:39:39 EDT
Fixed in emacs-20.7-38

Note You need to log in before you can comment on or make changes to this bug.